@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2004 INRIA - USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Philippe Merle.
rem # Contributor(s): Christophe Demarey.
rem #
rem # ====================================================================
rem #
rem # Starting a JacORB 2.2 CosNaming Service GUI.
rem #
rem # ====================================================================

setlocal

rem # Obtain the IOR of the started CosNaming Service.
call ns_ior > ns_ior.tmp
for /f "usebackq" %%i in (ns_ior.tmp) do set NSIOR=%%i
del ns_ior.tmp

rem # Check if a CosNaming Service is started.
if defined NSIOR goto :ns_started

echo Error: The CosNaming Service is not started!
goto :eof

:ns_started
echo A JacORB 2.2 CosNaming Service GUI will be started.

rem # Launch the JacORB 2.2 CosNaming Service GUI client.

set LAUNCHER_JVM_ARGS="-Dior_ns=%NSIOR%"
set LAUNCHER_ARGS="file:%OpenCCM_HOMEDIR%/xml/launcher/NS.xml" --runid gui

call openccm_launcher exec "%OpenCCM_CONFIG_DIR%\NameConsole.output" "%OpenCCM_CONFIG_DIR%\NameConsole.PID"

echo A JacORB 2.2 CosNaming Service GUI has been started.
